Package Details: gtk3-light 3.20.6-1

Git Clone URL: https://aur.archlinux.org/gtk3-light.git (read-only)
Package Base: gtk3-light
Description: GTK3 without colord.
Upstream URL: http://www.gtk.org/
Licenses: LGPL
Conflicts: gtk3
Provides: gtk3=3.20.6
Submitter: megadriver
Maintainer: feuri
Last Packager: feuri
Votes: 13
Popularity: 0.003355
First Submitted: 2012-05-09 08:47
Last Updated: 2016-05-26 13:25

Required by (930)

Sources (3)

Latest Comments

dkasak commented on 2015-10-03 14:30

What happened to the gtk3-focus-fix patch? It doesn't seem to be included anymore and the bug hasn't been fixed upstream either.

stevenhoneyman commented on 2015-02-01 12:56

Could you change "rest" to optdepends please? It builds fine without it and is only required for a few programs

hollunder commented on 2014-07-29 18:32

Thanks a lot for maintaining this. As more gtk packages depend on gtk3 it gets more and more important to have a version with sane dependencies. The maintainers of the official packages care more about DE (GNOME) functionality than anything else.

feuri commented on 2013-07-04 22:29

AFAIK that's not possible.

gothmog.todi commented on 2013-07-04 21:30

does anybody know how to get rid of the at-spi2-atk dependency?

3V0LU710N commented on 2013-01-19 17:30

@feuri: Ok, feel free to adopt it! =)

Cheers

feuri commented on 2013-01-19 13:53

I'd take it for you.

3V0LU710N commented on 2013-01-09 14:16

Updated to version 3.6.4.

I'm thinking on orphaning this package. If someone is interested in adopting it, please leave a comment... =)

Cheers

Cloudef commented on 2012-12-30 00:10

Thanks.

3V0LU710N commented on 2012-12-30 00:04

Version 2.6.2-3: pkgrel update (added gtk3-focus-fix.patch as suggested by Cloudef)... =)

Cheers

Cloudef commented on 2012-12-29 22:31

Can you include the focus fix patch?
The focus fix patch from gtk3-focus-fix aur package seems to apply fine here.

3V0LU710N commented on 2012-11-21 00:59

Version 3.6.2-2: pkgrel update (new patches added)

Cheers

3V0LU710N commented on 2012-11-11 13:14

gtk3-light updated to 3.6.2... =)

Cheers

3V0LU710N commented on 2012-11-04 22:11

Version 3.6.1-2: Updated with latest patches from Ubuntu's launchpad: this way, the package size seems to decrease significantly (In my case, the package size went down from about 56.4MB to 36.2MB (+/- 20.2MB)).

If you find any regressions, please report me...! =)

Cheers

3V0LU710N commented on 2012-11-04 22:09

Version 3.6.1-2: Updated with latest patches from Ubuntu's launchpad: this way, the package size decreases significantly. In my case, the package size went down from about 56.4MB to 36.2MB (+/- 20.2MB).

If you find any regressions, please report me...! =)

Cheers

3V0LU710N commented on 2012-10-31 15:27

gtk3-light updated to version 3.6.1...

Cheers

3V0LU710N commented on 2012-10-31 14:38

@Unia: Thanks for the notice... GTK3 seems to be on version 3.6.1 on official [extra] repo. I'll update the package soon.

Cheers

Unia commented on 2012-10-31 14:28

For those wanting to update this to 3.6, you can just change the pkgver and add "at-spi2-atk" to the depends.

3V0LU710N commented on 2012-07-21 02:53

Updated to GTK3 version 3.4.4... If you find any problems with this package / package out-of-date, please feel free to tell me...!

Cheers

3V0LU710N commented on 2012-06-22 22:46

@megadriver: Ok, I'll adopt this package then...

@AUR Users: If this package is out-of-date / suggestions, please feel free to notify me... =)

Cheers

megadriver commented on 2012-06-22 12:52

I've successfully migrated from Arch to Funtoo, so I'm orphaning all my AUR packages. Please treat them well, for I might return :)

To the prospective adopter: This one is actually quite easy to maintain. Only minimal changes to the official package are needed, so go for it! :)

3V0LU710N commented on 2012-05-21 22:31

Thanks for this package. It's very useful if you aren't going to use GNOME3. It reduces the total installed dependencies to half its size (vs GTK3 from [extra] repo)...

Cheers, and, btw, you got my vote! :)

megadriver commented on 2012-05-16 09:14

Updated to 3.4.3.

megadriver commented on 2012-05-11 09:46

I patched the Newlooks theme to deal with some annoyances:
https://aur.archlinux.org/packages.php?ID=59200

And that's what I'm using for both GTK2 and GTK3 now.

megadriver commented on 2012-05-11 09:45

I made a fixed Newlooks theme PKGBUILD to go with this one:
https://aur.archlinux.org/packages.php?ID=59200

megadriver commented on 2012-05-11 09:44

I made a fixed Newlooks theme to go with this:
https://aur.archlinux.org/packages.php?ID=59200

Unia commented on 2012-05-09 10:02

About time someone made an AUR package ;) I have been maintaining a package for myself the last weeks but never uploaded it - I don't feel capable enough at the moment to maintain it.

Good luck!

megadriver commented on 2012-05-09 08:48

This is the only way I could bring myself to give GTK3 a try :)